
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C＃教程第四课:循环控制语句 / iVAN</title>

    <meta name="description" content="C＃教程第四课:循环控制语句 教程|控制|循环|语句 本节课将介绍如何使用C#控制语句中的循环语句,本课目的如下:1.学会&quot;while&quot;循环的用法. 2.学会&quot;do&quot; 循环的用法. 3.学会&quot;for&quot; 循环的用法. 4.学会foreach循环的用法. 5.进一步了解&quot;break&quot;语句的用法. 6.如何使用&quot;continue&quot;语句. 在C#中,使用&quot;goto&quot;语句并不是一个最佳的建立循环的方法.本节课将介绍建 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C＃教程第四课:循环控制语句</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>教程|控制|循环|语句</p>
<p>本节课将介绍如何使用C#控制语句中的循环语句，本课目的如下：<br />1.学会"while"循环的用法。</p>
<p>2.学会"do" 循环的用法。</p>
<p>3.学会"for" 循环的用法。</p>
<p>4.学会foreach循环的用法。</p>
<p>5.进一步了解"break"语句的用法。</p>
<p>6.如何使用"continue"语句。</p>
<p>在C#中，使用"goto"语句并不是一个最佳的建立循环的方法。本节课将介绍建立循环的常用方法。</p>
<p>第一个要介绍的语句是while循环语句</p>
<p>1.清单 4-1. While循环：While loop.cs</p>
<p>using System;<br />class Whileloop {<br />public static void Main() {<br />int myInt = 0;</p>
<p>while (myInt &lt; 10) {<br />Console.Write("{0} ", myInt);<br />myInt++;<br />}<br />Console.WriteLine();<br />}<br />}</p>
<p>说明</p>
<p>1.清单 4-1演示了一个简单的while 循环。</p>
<p>以关键字"while"开始，后面是个布尔表达式。所有的控制语句都使用了布尔表达式。这就意味着表达式必须计算出true 或者false值。本例中，我们将检查myInt变量，看看它是否小于10。 因为myInt已经初始化为0，第一次计算时，该布尔表达式将返回true值。一旦布尔表达式的值为true，将执行该布尔表达式后面块中的语句。</p>
<p>2.在while块中，我们把数字和空格输出到控制台中，之后，对 myInt进行加1运算。一旦执行了while块中的语句之后，再次计算布尔表达式的值，这种情况将一直循环下去，直到该布尔表达式的值为false为止。 一旦布尔表达式的值为false, 程序将从while 块之后的第一条语句开始执行。在本例中，我们把数字0到9输出到控制台中，之后退出while块，再输出一个新行到控制台。</p>
<p>同 "while"循环类似的是"do" 循环语句。</p>
<p>2.清单 4-2. Do 循环： Do loop.cs</p>
<p>using System;<br />class Doloop {<br />public static void Main() {<br />string myChoice;<br />do {<br />// Print A Menu<br />Console.WriteLine("My Address Book\n");<br />Console.WriteLine("A - Add New Address");<br />Console.WriteLine("D - Delete Address");<br />Console.WriteLine("M - Modify Address");<br />Console.WriteLine("V - View Addresses");<br />Console.WriteLine("Q - Quit\n");<br />Console.WriteLine("Choice (A,D,M,V,or Q): ");</p>
<p>// Retrieve the user's choice<br />myChoice = Console.ReadLine();<br />// Make a decision based on the user's choice<br />switch(myChoice) {<br />case "A":<br />case "a":<br />Console.WriteLine("You wish to add an address.");<br />break;<br />case "D":<br />case "d":<br />Console.WriteLine("You wish to delete an address.");<br />break;<br />case "M":<br />case "m":<br />Console.WriteLine("You wish to modify an address.");<br />break;<br />case "V":<br />case "v":<br />Console.WriteLine("You wish to view the address list.");<br />break;<br />case "Q":<br />case "q":<br />Console.WriteLine("Bye.");<br />break;<br />default:<br />Console.WriteLine("{0} is not a valid choice", myChoice);<br />}</p>
<p>// Pause to allow the user to see the results<br />Console.Write("Press any key to continue...");<br />Console.ReadLine();<br />Console.WriteLine();<br />} while (myChoice != "Q" &amp;&amp; myChoice != "q"); // Keep going until the user wants to quit<br />}<br />}</p>
<p>说明</p>
<p>1.清单 4-2 演示了"do"循环的例子。 "do" 循环的格式是： do { &lt;语句&gt; } while (&lt;布尔表达式&gt;);其中的语句可以是任何合法的C#语句，布尔表达式同以前的规定一样，其返回值要么为true，要么为false。</p>
<p>2.如果你打算输出清单4-2 中的信息或者菜单，之后再读取用户的输入，那么就使用"do" 格式的循环而不要使用"while" 格式的循环语句。因为在本例中，布尔表达式的值是在循环结束处进行计算的, "do" 循环可以保证：循环体中的语句至少执行一次。与此相对应的是："while" 循环一开始时，计算布尔表达式的值，"while" 循环不能保证循环体中的语句能够至少执行一次。</p>
<p>3.让我们来回顾一下清单 4-2中的内容。</p>
<p>在Main()方法中，我们定义了变量 "myChoice"为字符串类型。之后，输出一些信息到控制台，即输出一个可让用户进行选择的菜单。我们必须要得到用户的输入，即Console.ReadLine()方法所返回的值，该值存放在myChoice变量中。我们必须先得到用户的输入，之后再处理。要完成这件事，一个有效的方法是就使用 "switch"语句。注意到：为了获得同样的功能，我们既匹配了小写字母，也匹配了大写字母。另外一点是：我们使用了 "default:" case，这是个良好的编程作风。</p>
<p>3.清单 4-3. For 循环: For loop.cs</p>
<p>using System;<br />class Forloop {<br />public static void Main() {<br />for (int i=0; i &lt; 20; i++) {<br />if (i == 10)<br />break;<br />if (i % 2 == 0)<br />continue;<br />Console.Write("{0} ", i);<br />}<br />Console.WriteLine();<br />}<br />}</p>
<p>说明</p>
<p>1.清单 4-3 演示了"for" 循环的用法。</p>
<p>当你能够精确地知道循环的次数时， For 循环语句就派上了用场。本程序同清单 4-1中"while" 循环程序的运行结果一样。 "for" 循环中，括号中内容由三个由分号隔开的部分： "(&lt;初始化表&gt;； &lt;布尔表达式&gt;； &lt;post-loop 动作表&gt;)"组成</p>
<p>2.初始化表是个由逗号隔开的表达式，在"for" 循环的整个周期中，这些表达式仅仅计算一次。计算是在一开始进行的，并且在循环语句的执行之前进行。正如在清单 4-3所见，通常初始化表是先初始化一个作为计数器的整型变量。</p>
<p>3.一旦进行初始化后， "for" 循环就进入第二部分：布尔表达式的计算。 这里的布尔表达式可以写得很复杂，但是结果只能是true或者false。布尔表达式通常用来验证计数器变量的状态。</p>
<p>4.一旦布尔表达式的值为true时，就会执行"for" 循环大括号中的语句。通常情况下，这些语句从左大括号开始，不中断地一直执行到右大括号。但在清单4-3中，有几个例外，几个"if"语句改变了程序的流程。</p>
<p>第一个"if"语句检查"i"是否等于10，这里使用了"break"语句，可在此处跳出循环，转入 "for"块后面的第一条语句的执行。</p>
<p>第二条"if"语句使用了求余运算符，看看"i"是否能够被2整除，如果余数等于0，就执行 "continue"语句。控制将跳过循环体中余下的语句，转入下一轮新的循环。你需要在块中正确地组织好语句，一旦满足有关条件，就执行相应的语句。</p>
<p>5.一旦程序流程遇到continue语句，或者遇到块的结尾处的右括号， 就转入"for" 循环括号中的第三项：post-loop 动作表，该表由逗号隔开，在"for"块中的语句都执行完毕之后，就执行该动作表中的动作。 清单 4-3中的 post-loop 动作表中的动作很典型：计数器加1。一旦动作表执行完毕，流程就转到对布尔表达式值进行判别。循环将继续进行下去，直到布尔表达式的值为true。当布尔表达式的值为false，控制流程就转到 "for"块之后的第一条语句。</p>
<p>4.清单 4-4. The ForEach 循环: ForEachloop.cs</p>
<p>using System;<br />class ForEachloop {<br />public static void Main() {<br />string[] names = {"Cheryl", "Joe", "Matt", "Robert"};<br />foreach (string person in names) {<br />Console.WriteLine("{0} ", person);<br />}<br />}<br />}</p>
<p>说明</p>
<p>1."foreach" 循环列举出集合中所有的元素。</p>
<p>清单 4-4所使用的数组类型，就是这样的一个集合。(在"System.Collections"也可以由其他的数据类型作集合。). 在Main()方法中，我们所做的第一件事是：定义由四个字符串组成的数组names。</p>
<p>2."foreach"括号中的表达式是由关键字in隔开的两个项组成。in右边的项是集合名，in左边的项是变量名，用来存放该集合中的每个元素。</p>
<p>该循环的运行过程如下：每一次循环时，从集合中取出一个新的元素值，放到只读变量中去，括号中的整个表达式返回值为true， "foreach"块中的语句就能够执行。一旦集合中的元素都已经被访问到，整个表达式的值为false，控制流程就转入到 "foreach" 块后面的第一条可执行语句。</p>
<p>3.在清单 4-4的例子中,我们使用了字符串变量person用来存放names数组的每个元素，并且使用Console.WriteLine()方法输出person 变量的值。</p>
<p>小结<br />到现在为止，你已经了解了"while"，"do"，"for"和"foreach" 循环语句的用法。最后你也学习了如何设置有关条件，来改变循环体块中的语句的流程。 </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-16 01:55:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%af%ad%e5%8f%a5/" title="语句">语句</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af/" title="循环">循环</a>, <a href="https://www.iamivan.net/tag/console/" title="console">console</a>, <a href="https://www.iamivan.net/tag/writeline/" title="WriteLine">WriteLine</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/%e5%b8%83%e5%b0%94/" title="布尔">布尔</a>, <a href="https://www.iamivan.net/tag/while%e8%af%ad%e5%8f%a5/" title="while语句">while语句</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af%e6%8e%a7%e5%88%b6%e8%af%ad%e5%8f%a5/" title="循环控制语句">循环控制语句</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af%e6%8e%a7%e5%88%b6/" title="循环控制">循环控制</a>, <a href="https://www.iamivan.net/tag/while%e7%9a%84%e7%94%a8%e6%b3%95/" title="while的用法">while的用法</a>, <a href="https://www.iamivan.net/tag/%e5%be%aa%e7%8e%af%e9%9b%86%e5%90%88/" title="循环集合">循环集合</a>, <a href="https://www.iamivan.net/tag/for%e5%be%aa%e7%8e%af%e5%92%8cforeach/" title="for循环和foreach">for循环和foreach</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C＃教程第四课:循环控制语句的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9o94z.html" rel="bookmark">C＃教程第三课&colon;选择控制语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程|控制|语句 本节课将介绍如何使用C#选择控制语句,第三课将达到如下几个目的:1.学会&quot;if&quot;语句的用法. 2.学会&quot;switch&quot;语句的用法. 3.学会在&quot;switch&quot;语句中如何使用&quot;break&quot;语句. 4.理解&quot;goto&quot;语句的正确用法. 在前面几节课中,你所看到的程序都是顺序执行的.你无法控制输入语句,你所能做的就是跟着程序执行直到终止.本节课中,将介绍基于条件进行判断,从而选择进入相应的逻辑分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZJQNz.html" rel="bookmark">JavaScript初级教程&lpar;第四课&rpar;第1&sol;2页&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们已了解变量可是数字.字符串及对象参数.还有一个Javascript的重要部分:数组.     数组是一种列表.各种列表比如名单.URL以颜色列表都可以存储在数组中.      这里我们生成颜色的数组:     var colors = new Array(&quot;red&quot;,&quot;blue&quot;,&quot;green&quot;);     现在你就有了一个数组,你能对它做什么呢?数组的优点在于数组中的各个元素可以通过数字调用.第一个元素的数字是0,可以用以下方式调用:   			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1N2orp.html" rel="bookmark">JavaScript进阶教程&lpar;第四课第一部分&rpar;&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在以前的课程中我们学习了对文本和字符串的各种操作今天我们专注于两种不同的数据类型图象和对象.学完这一课你将知道如何      使用JavaScript来加速图象交换.      创建你自己的对象来使脚本易于理解.      使用关联数组来快速存取脚本中的每一个对象.     使用JavaScript做图象变换的一个主要问题是它直到需要换图时才去告诉浏览器下载那张图象.如果你有一张大的图象想在鼠标滑过一副图象时调出来浏览器得临时下载这张图这可能会花一定时间从而使滑动效果大打折扣.     如果你的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyOR4z.html" rel="bookmark">VBScript教程 第四课 VBScript变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				vbscript|变量|教程 什么是变量? 变量是一种使用方便的占位符,用于引用计算机内存地址,该地址可以存储 Script 运行时可更改的程序信息.例如,可以创建一个名为 ClickCount 的变量来存储用户单击 Web 页面上某个对象的次数.使用变量并不需要了解变量在计算机内存中的地址,只要通过变量名引用变量就可以查看或更改变量的值.在 VBScript 中只有一个基本数据类型,即 Variant,因此所有变量的数据类型都是 Variant. 声明变量 声明变量的一种方式是使用 Dim 语			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7kWQZz.html" rel="bookmark">数据结构教程 第四课 算法效率的度量和存储空间需求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本课主题: 算法效率的度量和存储空间需求 教学目的: 掌握算法的渐近时间复杂度和空间复杂度的意义与作用 教学重点: 渐近时间复杂度的意义与作用及计算方法 教学难点: 渐近时间复杂度的意义 授课内容: 一.算法效率的度量 算法执行的时间是算法优劣和问题规模的函数.评价一个算法的优劣,可以在相同的规模下,考察算法执行时间的长短来进行判断.而一个程序的执行时间通常有两种方法: 1.事后统计的方法. 缺点:不利于较大范围内的算法比较.(异地,异时,异境) 2.事前分析估算的方法. 程序在计算机上运行所需			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QeX4M.html" rel="bookmark">VBScript教程 第四课VBScript变量&lowbar;vbs</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是变量? 变量是一种使用方便的占位符,用于引用计算机内存地址,该地址可以存储 Script 运行时可更改的程序信息.例如,可以创建一个名为 ClickCount 的变量来存储用户单击 Web 页面上某个对象的次数.使用变量并不需要了解变量在计算机内存中的地址,只要通过变量名引用变量就可以查看或更改变量的值.在 VBScript 中只有一个基本数据类型,即 Variant,因此所有变量的数据类型都是 Variant. 声明变量 声明变量的一种方式是使用 Dim 语句.Public 语句和 Pr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bolx7gM.html" rel="bookmark">javascript asp教程第四课 同时使用vbscript和javascript&lowbar;ASP基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始: 你能让javascript和vbscript实现从同一个表格里传出音乐.看看下面的脚本: &lt;%@LANGUAGE=&quot;JavaScript&quot;%&gt; &lt;% var a = 2; var b = 2; var c = add(a,b) c += &quot; (Two numbers are added by JavaScript, &quot; c += &quot;and then formatted into currency by VBScript.)&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojqxjz.html" rel="bookmark">javascript asp教程第四课 同时使用vbscript和javascript</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				开始: 你能让javascript和vbscript实现从同一个表格里传出音乐.看看下面的脚本: &lt;%@LANGUAGE=&quot;JavaScript&quot;%&gt; &lt;SCRIPT LANGUAGE=&quot;JavaScript&quot; RUNAT=&quot;Server&quot;&gt; function JSGreeting() { return &quot;Greetings from a JavaScript Function&quot;; } &lt;/sCR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6PVNz.html" rel="bookmark">C＃教程第五课&colon;方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				教程 本节课向你介绍C#的方法,其目的是:1.了解方法的结构格式 2.了解静态和实例方法之间的区别 3.学会实例对象的使用 4.学会如何调用实例化的对象 5.学会方法的四种参数类型的使用 6.学会使用&quot;this&quot;引用 以往,对于每个程序来说,所有的工作都在Main()方法中实现.这对于功能简单的程序是合适的,因为仅仅用来学习一些概念.有个更好的方法来组织你的程序,那就是使用方法.方法是很有用的,因为方法可以让你在不同的单元中分开设计你的逻辑模块. 方法的结构格式如下: 属性 修饰符 返			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo7wXb.html" rel="bookmark" class="title">如何修改Windows 8的登录界面DPI设置</a>
					<div>
						近年来随着显示器技术的发展,屏幕的分辨率在不断地提升,1920x1080分辨率的显示器也开始成为一般设备了.不过 Windows 系统的默认 DPI 还停留在 96 DPI ,这在高分辨率的显示器下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv74Ap.html" rel="bookmark" class="title">内容适应形式</a>
					<div>
						学习了死猫的文章,我今天也来说说有关内容和容器的关系. 看标题你也许觉得有些囧,它和上一篇&lt;形式追随内容?&gt;看起来相反,而且好像从交互设计的角度看也是很不专业的一个观点,这有点像是我搬起石 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7eJdM.html" rel="bookmark" class="title">几点提高php序运行效率的方法</a>
					<div>
						1.用i+=1代替i=i+1.符合c/c++的习惯,效率还高. 2.尽可能的使用PHP内部函数.自己编写函数之前要详细查阅手册,看有没有相关的函数,否则费力不讨好. 3.能使用单引号字符串尽量使用单引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5x1AM.html" rel="bookmark" class="title">Oracle9i初始化参数中文说明6</a>
					<div>
						oracle|中文 db_name: 说明: 一个数据库标识符, 应与 CREATE DATABASE 语句中指定的名称相对应. 值范围: 任何有效名称最多可有 8 个字符. 默认值: 无 (但应指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnWQoz.html" rel="bookmark" class="title">使用perl&period;net访问数据库</a>
					<div>
						perl|访问|数据|数据库 不只是vb.net,C#等微软的开发软件可以调用.net framework,据我所知至少有28中我知道的开发语言如何调用.net framework.下面我就给出一段事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvg2Ap.html" rel="bookmark" class="title">使用Dojo开发支持Accessibility的Web应用</a>
					<div>
						简介 Accessibility,又经常被缩写为 a11y,指的是软件产品的可访问性.易用性,特别是指对于诸如视 力低下等残障人士的使用上的无障碍性.Web 应用,越来越多的作为软件产品的发布形式.而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEYG4b.html" rel="bookmark" class="title">线程池规模调优浅析</a>
					<div>
						线程池应该配置成多大? 先前一位朋友通过Skype问我关于运行在64位机器JVM集群一些问题,该集群每天会运行几次30万+个线程的任务.30万+个线程运行时,核心模块花了太多时间管理它们,导致应用程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ77G7b.html" rel="bookmark" class="title">使用window&period;open自动打开新窗口并且自动关闭新窗口</a>
					<div>
						Html代码 &lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0 Transitional//EN&quot;&gt; &lt;HTML&gt; & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7AD5b.html" rel="bookmark" class="title">为什么Oracle有时会用索引来查找数据？</a>
					<div>
						当你运用SQL语言,向数据库发布一条查询语句时,ORACLE将伴随产生一个&quot;执行计划&quot;,也就是该语句将通过何种数据搜索方案执行,是通过全表扫描.还是通过索引搜寻等其它方式.搜索方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjN5Ep.html" rel="bookmark" class="title">从spring的IOC说起（二）&mdash;&mdash;spring的Bean的基础配置</a>
					<div>
						上次简单的说了下spring的IOC,也说到了spring的IOC强大在于有一系列可 以维护Bean不同关系的维护类的存在,而这样的维护也是基于高度可配置的 spring配置文件而言的.这次就是结合我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPRyoz.html" rel="bookmark" class="title">JAVA技术专题综述之构造方法篇</a>
					<div>
						类的继承机制使得子类可以使用父类的功能(即代码),并且子类也具有父类的类型.下面介绍类在继承关系上的初始化的顺序问题. 示例1: class SuperClass { SuperClass() { S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62rYYM.html" rel="bookmark" class="title">Win7系统如何设置3D立体桌面？</a>
					<div>
						  Win7系统如何设置3D立体桌面?          方法一:Win7系统自带立体效果桌面(就是WIN+TAB) 1.在桌面空白处右击,选择新建--快捷方式; 主题3d立体桌面&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24RAkp.html" rel="bookmark" class="title">Word2007表格：平均分布行列的技巧</a>
					<div>
						  在前面学习Word2007表格的过程中,使用最多的功能应该算&quot;表格工具&quot;功能区中的&quot;布局&quot;选项卡了,不仅可以对行列的插入.删除还可以设置行列的尺寸.其中用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmw55z.html" rel="bookmark" class="title">Linux系统如何对网站数据定期自动备份与删除？</a>
					<div>
						  需求是这样的,首先网站文件和数据库需要每天自动备份,然后备份目录超过一定时间的删除,比如保留最近14天地备份 刚好vps是redhat,里面默认居然没有装crond的服务,输入以下命令安装 yum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkyoAb.html" rel="bookmark" class="title">提升win8&period;1系统性能</a>
					<div>
						  1.桌面计算机点击右键&quot;属性&quot;. 2. 选择&quot;高级系统设置&quot;. 3.选择&quot;高级&quot;,&quot;性能&quot;,&quot;设置&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My34aPz.html" rel="bookmark" class="title">在Windows上安装Node&period;js模块的方法&lowbar;javascript技巧</a>
					<div>
						不过有消息称Microsoft已经联系Node.js官方,相信很快会有改善. 那么在不安装Cygwin的情况下,是否可以在Windows上搭建Node.js环境进行试验开发哪?我以Node.js +  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQa5Vz.html" rel="bookmark" class="title">ascii-DB2数据库LENGTH&lpar;&rpar;函数和char&lpar;&rpar;函数</a>
					<div>
						问题描述 DB2数据库LENGTH()函数和char()函数 为什么我VALUES(LENGTH(123456)) 显示长度为4,这个函数是怎么转换成字符串的? VALUES(LENGTH(trans ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA9vKM.html" rel="bookmark" class="title">win10-本地连接，出现了这样的提示，怎么办，改不了ip 求助</a>
					<div>
						问题描述 本地连接,出现了这样的提示,怎么办,改不了ip 求助 解决方案 这种情况通常是出现了IP地址冲突,建议你换一个同网段的地址看看,例如192.168.18.254					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoB3mb.html" rel="bookmark" class="title">拆分拼接-07版excel将一个工作表根据条件拆分成多个工作表</a>
					<div>
						问题描述 07版excel将一个工作表根据条件拆分成多个工作表 07版excel将一个工作表根据条件拆分成多个工作表时,按教程做的时候 ????????Selection.PasteSpecial?P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWxy8z.html" rel="bookmark" class="title">mfc串口通信-大神！ 串口通信多编辑框显示到一个编辑框！求教代码！谢谢！</a>
					<div>
						问题描述 大神! 串口通信多编辑框显示到一个编辑框!求教代码!谢谢! 是这样的.串口通信中有多个发送编辑框 现在需将这多个编辑框的内容显示到一个大的(最后的,总的)发送编辑框中 现如今这段代码遇到了问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94xxKb.html" rel="bookmark" class="title">正则验证-一个正则表达式的问题</a>
					<div>
						问题描述 一个正则表达式的问题 对于正则表达式[a-z&amp;&amp;[hij]],网上查到的资料,它表示&quot;hij中的一个(交集)&quot;,表示&quot;h,i,j中的任一个&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjnBPM.html" rel="bookmark" class="title">网络负载均衡详解</a>
					<div>
						一.四层和七层负载均衡简介 1. 常见的负载均衡类型 ① 二层负载均衡 基于MAC地址,它会通过一个虚拟MAC地址接收请求,然后再分配到真实的MAC地址. ② 三层负载均衡 基于IP地址,它会通过一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQdEBp.html" rel="bookmark" class="title">Linux下程序崩溃，ulimit，coredump，gdbserver</a>
					<div>
						操作系统:Ubuntu10.04 前言:    在程序崩溃后,如何快速定位问题.    以下方法适用于开发调试阶段,不太适用成品.    本文着眼于嵌入式,PC方面更简单.    核心:gdbserv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn5jlM.html" rel="bookmark" class="title">为什么编程语言以及数据库要从1970年1月1日开始计算时</a>
					<div>
						今天一时兴起想起了在SQL Server中使用DateTime.MinValue插入时间时报错的问题,原因就在于数据库的最小时间和.Net里的最小时间不一致导致的,网上查阅了些资料,找到如下结果 Ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0Z2Wp.html" rel="bookmark" class="title">爱淘和微淘要合在一起</a>
					<div>
						9月29,阿里巴巴CEO陆兆禧在阿里移动端产品来往的群里表示:&quot;爱淘和微淘要合在一起.&quot; 微淘方面于昨日午间正式宣布,将于10月10日开始,单方面终止邀请码发放.据称,此举或与微淘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWgqGM.html" rel="bookmark" class="title">汽车之家IPO困局：收入模式单一电商转型难</a>
					<div>
						过去几年,受益于中国汽车市场的快速发展,垂直类汽车网站之间竞争硝烟弥漫.三年前上市的易车网.爱卡汽车.汽车之家为代表的这一类以汽车品牌资讯.导购服务为主要模式的网站,由于其用户群都是拥有强劲刚需的人群 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg6wWM.html" rel="bookmark" class="title">Skype要求网络电话提供商Nimbuzz终止对其支持</a>
					<div>
						新浪科技讯 北京时间10月25日下午消息,据国外媒体报道,Skype已要求手机通讯服务提供商Nimbuzz在10月31日前移除对Skype一切服务的支持. Nimbuzz将于今天晚些时候宣布这一消息. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE7mjp.html" rel="bookmark" class="title">SQL中DATEADD和DATEDIFF的用法示例介绍&lowbar;MsSql</a>
					<div>
						通常,你需要获得当前日期和计算一些其他的日期,例如,你的程序可能需要判断一个月的第一天或者最后一天.你们大部分人大概都知道怎样把日期进行分割(年.月.日等),然后仅仅用分割出来的年.月.日等放在几个函 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN7R6p.html" rel="bookmark" class="title">12个超实用的JQuery代码片段&lowbar;jquery</a>
					<div>
						本文收集了12段非常实用的jQuery代码片段,你可以直接复制黏贴到代码里,但请开发者注意了,要理解代码再使用哦.下面就让我们一起来享受jQuery代码的魅力之处吧. 1. 导航菜单背景切换效果 在项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVvwjz.html" rel="bookmark" class="title">resin如何运行memadmin</a>
					<div>
						问题描述 各位大神,谁知道resin 如何运行memadmin 啊,老是提示缺少php. Memcache 模块,如何安装这个模块到resin中啊,apatch 加php5可以,但是公司要求resin ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
